## Browser Script Engines (required to run browser-/ or user-css scripts)
- [Firemonkey](https://addons.mozilla.org/en-US/firefox/addon/firemonkey/) - Can handle both user Scripts and user CSS.
- [Greasemonkey](https://anonym.to/?https://www.greasespot.net/) - Greasemonkey is a Firefox extension that allows you to customize the way webpages look and function.
- [Violentmonkey](https://anonym.to/?https://violentmonkey.github.io/) - An open source userscript manager for Chrome, Firefox, Opera etc.

**[`^        back to top        ^`](#)**

## Browser Userscripts
- [anti-anti-copy](https://anonym.to/?https://greasyfork.org/en/scripts/7197-anti-anti-copy) - Some websites prevent you from copying text, this script bypasses it.
- [Bypass paywalls for scientific documents](https://anonym.to/?https://greasyfork.org/en/scripts/35521-bypass-paywalls-for-scientific-documents) - This script adds download buttons on Google Scholar, Scopus, and Web Of Science, which lead to sci-hub.tw.
- [Direct download from Google Play](https://anonym.to/?https://greasyfork.org/en/scripts/33005-direct-download-from-google-play/) - Adds APKPure, APKMirror and Evozi download buttons to Google Play when browsing apps.
- [Emuparadise ROMs:easy download](https://anonym.to/?https://old.reddit.com/r/Piracy/comments/9zuu6p/emuparadise_roms_easy_download/) - Make Emuparadise great again!
- [Mouseover Popup Image Viewer](https://anonym.to/?https://greasyfork.org/scripts/404) - Shows images and videos behind links and thumbnails.
- [Various torrent links to Episodecalendar](https://anonym.to/?https://greasyfork.org/en/scripts/27367-various-torrent-links-to-episodecalendar) - Adds various torrent links next to every episode in calendar, unwatched and season overview sections.

**[`^        back to top        ^`](#)**


## Browser based Video & Downloader 
- [Media Reaper - Privacy 1st, Audio & Video Download](https://anonym.to/?https://sasrip.cf/) + ([addon](https://anonym.to/?https://addons.mozilla.org/en-US/firefox/addon/media-reaper/))


**[`^        back to top        ^`](#)**

## Website "Enhancer" Userscripts
- [[TS] Citrus GFork](https://anonym.to/?https://greasyfork.org/scripts/4336) - Adds bunch of GreasyFork hidden features.
- [GBookDown - Download Google Books](https://anonym.to/?https://greasyfork.org/scripts/17113) - Saves all available Preview pages from a Google Book as PNGs.
- [GitHub-userscripts](https://anonym.to/?https://github.com/Mottie/GitHub-userscripts) - Userscripts to add functionality to GitHub.
- [Gitlab Mods](https://anonym.to/?https://greasyfork.org/scripts/377122) - Adds colored sections, extra functionality, and avatars to Gitlab.
- [Google Drive Direct Links](https://anonym.to/?https://greasyfork.org/en/scripts/10052-google-drive-direct-links/feedback) - Direct link functionality for Google Drive.
- [Google Image "View Image" button](https://anonym.to/?https://greasyfork.org/en/scripts/38953-google-image-view-image-button) - Add "View Image" button.
- [IMDb Scout](https://anonym.to/?https://greasyfork.org/en/scripts/3967-imdb-scout) - Add links from IMDb pages to torrent sites, easy downloading from IMDb
- [MAL-Sync](https://anonym.to/?https://greasyfork.org/en/scripts/372847-mal-sync) - Integrates MyAnimeList into various sites, with auto episode tracking.
- [openload](https://anonym.to/?https://greasyfork.org/scripts/17665) - Remove anti-adblock, ads, popups and timer waits, and show direct download link.
- [RARBG - torrent and magnet links](https://anonym.to/?https://greasyfork.org/scripts/23493) - 
- [RARBG Advanced Filters](https://anonym.to/?https://greasyfork.org/en/scripts/29661-rarbg-advanced-filters) - Provides additional filtes for RARBG.
- [RYM google current album](https://anonym.to/?https://greasyfork.org/en/scripts/5966-rym-google-current-album) - Places buttons and dropdowns below the album title on a release page that will conduct searches in many warez, torrent, and music info sites.
- [Sci-hub button](https://anonym.to/?https://greasyfork.org/en/scripts/370246-sci-hub-button) - Add sci-hub button after article link. Support Google scholar, bing academic and baidu xueshu. Jump CNKI English article to Chinese article.
- [Scribd downloader](https://anonym.to/?https://greasyfork.org/scripts/14503) - Downloads from Scribd.
- [ThePirateBay Cleaner](https://anonym.to/?https://greasyfork.org/en/scripts/1573-the-pirate-bay-cleaner) - Auto Sorting, Torrentifying, Theme Change, Search Change, SSL/HTTPS & more.
- [Torrentz2 Magnet](https://anonym.to/?https://greasyfork.org/en/scripts/21547-torrentz2-magnet) - Add magnet link to torrentz2.
- [XZ Pixiv Batch Downloader](https://anonym.to/?https://greasyfork.org/scripts/24252) - Batch download original works of artists such as artists, bookmarks, leaderboards, search pages, etc.; view popular works; create folders; convert moving images... 

**[`^        back to top        ^`](#)**


## Website "Enhancer" Addons/Extensions
- [Google unlocked](https://anonym.to/?https://github.com/Ibit-to/google-unlocked) - + [Website](https://anonym.to/?https://ibit.uno/) Google Unlocked Chrome extension unlocks hidden google search results.
- [Hide Fake Torrents on TPB](https://anonym.to/?https://chrome.google.com/webstore/detail/hide-fake-torrents-on-tpb/fkdhkcpmifehkmadpldbbdadepgplcmo) - Hide fake torrents on TPB.
- [Reddit Enhancement Suite](https://anonym.to/?http://redditenhancementsuite.com/) - Community-driven unofficial browser extension for reddit.


### Browser Anti-Fingerprinting + "privacy" Extensions
- [Browser Plugs](https://anonym.to/?https://www.browserplugs.com/) - A Chrome "all-in-one" anti-fingerprinting protection extensions.
- [CanvasBlocker](https://anonym.to/?https://github.com/kkapsner/CanvasBlocker) - Alters some JS APIs to prevent fingerprinting.
- [Chameleon](https://anonym.to/?https://addons.mozilla.org/en-US/firefox/addon/chameleon-ext/) - Spoof your Firefox browser profile. Includes a few privacy enhancing options.
- [ClearURLs](https://anonym.to/?https://gitlab.com/KevinRoebert/ClearUrls) - Remove tracking fields from URLs.
- [CSS Exfil Protection](https://anonym.to/?https://github.com/mlgualtieri/CSS-Exfil-Protection) - Fixes several holes regarding [CSS manipulation](https://www.mike-gualtieri.com/css-exfil-vulnerability-tester).
- [Decentraleyes](https://anonym.to/?https://git.synz.io/Synzvato/decentraleyes) - Local emulation of Content Delivery Networks.
- [Enterprise Policy Generator](https://anonym.to/?https://github.com/cadeyrn/enterprise-policy-generator) - A Firefox WebExtension for generating Enterprise Policies. 
- [Header Editor](https://anonym.to/?https://addons.mozilla.org/firefox/addon/header-editor/) - Protects you from e.g. ETag tracking, an alternative is [ETag Stoppa](https://addons.mozilla.org/firefox/addon/etag-stoppa/)
- [Replace zero-width characters with emojis](https://anonym.to/?https://github.com/chpmrc/zero-width-chrome-extension) - Google Chrome extension that can detect attempts to fingerprint text using the ["zero-width character"](https://www.bleepingcomputer.com/news/security/google-chrome-extension-detects-zero-width-character-fingerprinting-attacks/) technique.
- [Site Bleacher](https://anonym.to/?https://github.com/wooque/site-bleacher) - Firefox/Chrome addon/extension which removes automatically cookies, local storages, IndexedDBs, service workers, cache storages, filesystems and webSQLs.
- [Smart Referer](https://anonym.to/?https://gitlab.com/smart-referer/smart-referer) - Change your Browser referer.
- [Temporary Containers](https://anonym.to/?https://addons.mozilla.org/en-US/firefox/addon/temporary-containers/) - Alternative to Firefox first party isolation.
- [Trace - Online Tracking Protection](https://anonym.to/?https://absolutedouble.co.uk/trace/) - HTML5 Canvas protection for [Chrome](https://chrome.google.com/webstore/detail/trace/njkmjblmcfiobddjgebnoeldkjcplfjb) & [Firefox](https://addons.mozilla.org/en-US/firefox/addon/absolutedouble-trace).
- [zero-width-chrome-extension](https://anonym.to/?https://github.com/chpmrc/zero-width-chrome-extension) - Replace scary zero-width characters with funny emojis in Chrome to reduce the Browser fingerprint.
- ScriptSafe - Similar like NoScript with some nice features, works with [Chrome](https://anonym.to/?https://chrome.google.com/webstore/detail/scriptsafe/oiigbmnaadbkfbmpbfijlflahbdbdgdf?hl=en) & [Firefox](https://addons.mozilla.org/en/firefox/addon/script-safe/).
- uBlock / uMatrix - _I guess if I have to link to these extensions you are not a pirate or privacy focused person at all, aren't you?!_

All other extensions **do not** adding any benefit over the integrated Browser "privacy" mechanism e.g. Cookie cleaners, they are mostly just crippled or limitated GUI based toogles for what the Browser already does (with some user effort).

**[`^        back to top        ^`](#)**


### (anti) CAPTCHA Browser Extensions
- [MoreCAPTCHA](https://anonym.to/?https://greasyfork.org/en/scripts/31088-morecaptcha) - Speeds up solving Google reCAPTCHA challenges by shortening transition effects and providing continuous selection ability.
- [Buster](https://anonym.to/?https://github.com/dessant/buster) - Captcha solver extension for humans.

**[`^        back to top        ^`](#)**


## Google Drive Downloader
- [googledrive-copy-downloader](https://anonym.to/?https://github.com/jonathanTIE/googledrive-copy-downloader) - Python script to download google drive files even if the daily limit of download has exceeded.

**[`^        back to top        ^`](#)**


## URL shortener extensions
- [Universal Bypass (for shortner links)](https://anonym.to/?https://chrome.google.com/webstore/detail/universal-bypass/aihomhdbhpnpmcnnbckjjcebjoikpihj)


## RSS Feed extensions
- [RSS Subscription Extension by Google](https://anonym.to/?https://chrome.google.com/webstore/detail/rss-subscription-extensio/nlbjncdgjeocebhnmkbbbdekmmmcbfjd?hl=en) - Adds one-click subscription to your toolbar and brings back the posability to read RSS Feeds in Chrome.

**[`^        back to top        ^`](#)**


### Misc Browser Extensions
- [Containerise](https://anonym.to/?https://addons.mozilla.org/en-US/firefox/addon/containerise/) - Automatically open websites in a dedicated container. Simply add rules to map domain or subdomain to your container.
- [Image Search Options](https://anonym.to/?https://saucenao.com/tools/) - Add search options to the right-click context menu.
- [MegaLinks & Snahp.it Forum Link Solver](https://anonym.to/?https://github.com/samvk/snahp-it-forum-link-solver) - Simplify opening forum.snahp.it links.
- [Remote Torrent Adder](https://anonym.to/?https://chrome.google.com/webstore/detail/remote-torrent-adder/oabphaconndgibllomdcjbfdghcmenci?hl=en) - Allows you to send torrent files from your browser to your remote or local Bittorrent client's web interface.
- [SABconnect++](https://anonym.to/?https://github.com/gboudreau/sabconnectplusplus) - Chrome extension which adds one-click 'Send to SABnzbd' buttons to many popular NZB index sites.
- [Save To The Wayback Machine](https://anonym.to/?https://chrome.google.com/webstore/detail/save-to-the-wayback-machi/eebpioaailbjojmdbmlpomfgijnlcemk) - Quickly save web pages to the Internet Archive's Wayback Machine.
- [Stylus](https://anonym.to/?https://addons.mozilla.org/en-US/firefox/addon/styl-us/) - Redesign your favorite websites with Stylus, an actively developed and community driven userstyles manager.


**[`^        back to top        ^`](#)**


### YouTube specific Browser Extensions
- [Iridium](https://anonym.to/?https://github.com/ParticleCore/Iridium) - Iridium is an extension built to improve your experience with the new YouTube Material layout.
- [YouTube Skip intro (Chrome)](https://anonym.to/?https://chrome.google.com/webstore/detail/youtube-skip-intro/pkfnooichbjhhoajcoffiggbckfbflbg) - Define the intro time to skip it each time you play a video on YouTube helpful when you watching a series or any many episodes shows.
- [YouTube: Age Verification Bypass](https://anonym.to/?https://greasyfork.org/scripts/375525) - Watch restricted videos without having to log in.
- [Invidition](https://anonym.to/?https://addons.mozilla.org/en-US/firefox/addon/invidition/) - Redirects YouTube and Twitter to their alternative ads-free, privacy-friendly, interfaces.
- [SponsorBlock - Sponsorship Blocker for YouTube] - Easily skip YouTube video sponsors. When you visit a YouTube video, the extension will check the database for reported sponsors and automatically skip known sponsors. You can also report sponsors in videos. Compared to uBlock it actually does hide sponsor based in-video ads.


### Browser syncing (self-hosted)
- [xBrowserSync](https://anonym.to/?https://github.com/xbrowsersync/app) - An open source alternative to Mozilla's, Google's, Vivalid's integrated sync feature, it does work on all platforms.

**[`^        back to top        ^`](#)**


## (Unofficial) Tor related extensions
- [Onion Browser Button](https://anonym.to/?https://chrome.google.com/webstore/detail/onion-browser-button/fockhhgebmfjljjmjhbdgibcmofjbpca?hl=en) + ([source code](https://anonym.to/?https://github.com/jeremy-jr-benthum/tor-button))

**[`^        back to top        ^`](#)**


## Bypassing Paywalls (Anti-PayWall)
- [Anti-Paywall](https://anonym.to/?https://github.com/nextgens/anti-paywall) - A browser extension that maximizes the chances of bypassing paywalls.
- [Burlesco](https://anonym.to/?https://burles.co/en/) - Userscript which allows you to read & annotate without distractions.
- [Bypass Paywalls for Chrome](https://anonym.to/?https://github.com/iamadamdev/bypass-paywalls-chrome) - Bypass New York Times among many other paywalls.
- [Bypass Paywalls](https://anonym.to/?https://bypasspaywalls.weebly.com/) - Chrome & Firefox extension to bypass paywalls.
- [Outline](https://anonym.to/?https://outline.com/) + ([extensions](https://github.com/ymolodtsov/outline/)) - Outline is a free service for reading and annotating news articles.
- [Unpaywall](https://anonym.to/?https://unpaywall.org/) - An open database of 20 million free scholarly articles.
- [Via Firefox Containers](https://anonym.to/?https://addons.mozilla.org/en-US/firefox/addon/temporary-containers/) - (works on some websites) Install the extension, right click on the link, then click "Reopen in Container" from there choose e.g. "Work".

**[`^        back to top        ^`](#)**


## Python scripts
- [firefox_bookmarkscraper.py](https://anonym.to/?https://github.com/ZeroOne010101/firefox_bookmarkscraper.py) - Querys the html of all Firefox bookmarks in a specific folder for a keyword, and prints the url's of sites the keyword was found in.
- [udemy-dl](https://anonym.to/?https://github.com/r0oth3x49/udemy-dl) - Udemy course downloader script.

**[`^        back to top        ^`](#)**

## Dark Mode
- [Darkreader](https://anonym.to/?https://darkreader.org/) - Provides a "Dark Mode" for everything.

**[`^        back to top        ^`](#)**


## Movies & Play Scripts
- [Script Download Links](https://anonym.to/?https://gointothestory.blcklst.com/script-download-links-9313356d361c?gi=3903aa2fdebf) - 100+ scripts made available by studios and production companies.
- [Script Slug](https://anonym.to/?https://www.scriptslug.com/) - Browse hundreds of screenplays.
- [Springfield! Springfield!](https://anonym.to/?https://www.springfieldspringfield.co.uk/) - Movie Transcript Database for iOS and Android.

**[`^        back to top        ^`](#)**


## Manga scraper scripts
- [manga_downloader](https://anonym.to/?https://github.com/LLostVayne/manga_downloader) - Python scraper that will download mangas from mangareader.net.
- [The Free Manga Downloader (FMD)](https://anonym.to/?https://github.com/riderkick/FMD) - Free Manga Downloader is a free open source application written in Object Pascal for managing and downloading manga from various websites.

**[`^        back to top        ^`](#)**


## Plex Scripts & Tools
- ["I made my own Pseudo TV for Plex with Kodi and Nvidia Shield"](https://anonym.to/?https://old.reddit.com/r/PleX/comments/awsvp9/i_made_my_own_pseudo_tv_for_plex_with_kodi_and/ehox9zf/) - Guide from /u/nads84 on how to make your own "live" TV channels with a Plex library, Kodi and NVIDIA Shield.
- [DocDownloader](https://anonym.to/?https://docdownloader.com/) - Scribd Downloader; Issuu Downloader; Slideshare Downloader; Academia Downloader. Scribd Downloader.
- [Gaps](https://anonym.to/?https://github.com/JasonHHouse/Gaps) - Find the missing movies in your Plex Server.
- [JBOPS](https://anonym.to/?https://github.com/blacktwin/JBOPS) - Just a Bunch Of Plex Scripts
- [killstream](https://anonym.to/?https://github.com/blacktwin/JBOPS/tree/master/killstream) - Killing streams is a Plex Pass only feature. So these scripts will only work for Plex Pass users.
- [Kitana](https://anonym.to/?https://github.com/pannal/Kitana) - Kitana exposes your Plex plugin interfaces "to the outside world".
- [NowShowing](https://anonym.to/?https://github.com/ninthwalker/NowShowing) - Generates an email and web page of Plex recently added content
- [Phlex](https://anonym.to/?https://github.com/d8ahazard/Phlex) - A super-sexy voice interface for the Plex HTPC
- [Plaxt](https://anonym.to/?https://plaxt.herokuapp.com/) - Webhook-based Trakt.tv scrobbling for Plex
- [Plex Media Tagger](https://anonym.to/?https://github.com/ccjensen/PlexMediaTagger) - Uses the metadata held in the PlexMediaServer to tag media files
- [Plex Redirect](https://anonym.to/?https://github.com/ITRav4/PlexRedirect) - a Plex landing page that redirects you to various sites.
- [plex_autoscan](https://anonym.to/?https://github.com/l3uddz/plex_autoscan) - Script to assist sonarr/radarr with plex imports.
- [plex_top_playlists](https://anonym.to/?https://github.com/pbrink231/plex_top_playlists) - A python script to get top weekly or top popular lists and put them in plex as playlists.
- [plex-subtitles-normalizer](https://anonym.to/?https://github.com/caridy/plex-subtitles-normalizer) - CLI tool to fix subtitles needed by Plex Media Center.
- [plex-sync](https://anonym.to/?https://github.com/jacobwgillespie/plex-sync) - A simple command-line utility to synchronize watched / seen status between different Plex Media Servers.
- [plex2netflix](https://anonym.to/?https://github.com/SpaceK33z/plex2netflix) - See how much of your media from Plex is available on Netflix.
- [PlexAuth](https://anonym.to/?https://github.com/hjone72/PlexAuth) - Plex based authentication using PHP.
- [PlexEmail](https://anonym.to/?https://github.com/jakewaldron/PlexEmail) - This script aggregates all new TV, movie and music releases for the past configured time then optionally writes to your web directory and sends out an email.
- [PlexIPTV](https://anonym.to/?https://github.com/xiaodoudou/PlexIPTV) - This app simulates a DVR device for Plex by providing a layer to any IPTV provider (that provide a m3u8 playlist).
- [PlexMissingEpisodes](https://anonym.to/?https://github.com/MysticRyuujin/PlexMissingEpisodes) - Scan Plex library for missing episodes using TheTVDB.
- [PlexRecs](https://anonym.to/?https://github.com/nwithan8/PlexRecs) - A Discord bot that provides movie and TV show recommendations from your Plex library.
- [plexReport](https://anonym.to/?https://github.com/bstascavage/plexReport) - Scripts to generate a weekly email of new additions to Plex.
- [plexupdate](https://anonym.to/?https://github.com/mrworf/plexupdate) - script to simplify the life of Linux Plex Media Server users.
- [plxdwnld](https://anonym.to/?https://piplong.run/plxdwnld/) - Bookmarklet for downloading original files from the Plex web interface
- [Python-PlexLibrary](https://anonym.to/?https://github.com/adamgot/python-plexlibrary) - Python command line utility for creating and maintaining dynamic Plex libraries based on "recipes".
- [Transmogrify](https://anonym.to/?https://github.com/Transmogrify-for-Plex/Transmogrify-for-Plex-chrome) - A Chrome extension that adds several features to the Plex/Web 2.0 client for Plex.

**[`^        back to top        ^`](#)**

## MagisK Modules

**Important**: There are lots of misinformation that modules like XPrivacyLua, Device ID Maske, XPosed & Co. "hardening" your OS or parts of your apps in order to make them more "secure" or "private". This is wrong, as explained over [here](https://anonym.to/?https://old.reddit.com/r/GrapheneOS/comments/ch5kv8/is_magisk_and_edxposedxprivacylua_working/). Such FUD and scam modules/apps do not offer any privacy nor security layer (keep also in mind that "underground" and dangerous modules are not listed officially on the official repositories). Please keep in mind that if you like a secure and private OS then stay away from all rooting methods, scripts or engines and use the naked (hardened) OS with only the apps which are regularily getting audited e.g. Threema, Riot etc. The modules which are listed here are "helpful" in a sense that they "add" xyz (missing) function to the OS itself and not meant to secure/hardening something. 

That been said, there are no apps listed which altering your HOSTS file or apps which claim to somehow "optimize" your battery life. For ad-blocking use AdGuard/Blokada on Android (it's better than messing around with your HOSTS file) and (in general) use as less as possible on apps/modules resources compared to other solutions. 


There is a universal rule for Android: 
* More apps -> more background processes/traffic (startups etc.) + cpu cycles consumption = more battery drain, it's really that simple!. 

- [ADB & Fastboot for Android NDK](https://anonym.to/?https://forum.xda-developers.com/showthread.php?t=2239421) - Static ARM adb and fastboot binaries for Android built with the NDK.
- [Adreno GPU Developer Preview Drivers](https://anonym.to/?https://forum.xda-developers.com/google-nexus-5/themes-apps/marshmallow-qualcomm-adreno-gpu-drivers-t3228002/post67117557#post67117557) - Replace ROM Adreno GPU drivers from Qualcomm.
- [Always-on Fingerprint](https://anonym.to/?https://forum.xda-developers.com/apps/magisk/module-fingerprint-mi-5-mi-note-2-t3660179) - Allows you to unlock your device without pressing the home button. The fingerprint scanner will remain always-on to allow that.
- [Android Mic Fix](http://forum.xda-developers.com/apps/magisk/module-oneplus-one-bacon-mic-fix-t3503128) - Fixes in call low volume mic issues for various Android devices.
- [APK-Patcher Lite](https://anonym.to/?https://forum.xda-developers.com/android/software/mod-apk-patcher-lite-t3868675) - A modified version of APK-Patcher that will delete / inject files into System APK files instead of using a baksmali / apktool method.
- [App Data Keeper](https://anonym.to/?https://forum.xda-developers.com/apps/magisk/magisk-module-app-data-keeper-adk-t3822278) - Protects select apps+data from being wiped out on a regular TWRP factory reset.
- [Busybox for Android NDK](https://anonym.to/?https://github.com/Magisk-Modules-Repo/busybox-ndk) - BusyBox (replaced with ToyBox in later Android version) is still needed for some apps/functions/scripts.
- [CloudflareDNS4Magisk (& IPv6)](https://anonym.to/?https://github.com/xerta555/CloudflareDNS4Magisk-IPv6) - Starting with [Android 9 (Pie)+](https://anonym.to/?https://developers.cloudflare.com/1.1.1.1/setting-up-1.1.1.1/android/) you can manually set this (without any module) in your Wifi/thether settings.
- [crontab](https://anonym.to/?https://github.com/Magisk-Modules-Repo/crontab) - Easy to use crontabs.
- [DNSCrypt Proxy 2 for Android](https://anonym.to/?https://github.com/Magisk-Modules-Repo/dnscrypt-proxy) - A flexible DNS proxy, with support for modern encrypted DNS protocols such as DNSCrypt v2 and DNS-over-HTTP/2.
- [EdXposed](https://anonym.to/?https://github.com/ElderDrivers/EdXposed) - Elder driver Xposed Framework, even works with Android Q. Did I you said XPosed on Q, yep I did!
- [Init.d Injector](https://anonym.to/?https://github.com/Magisk-Modules-Repo/InitdInjector) - Injects init.d support via post-fs-data script, this module is only useful if your OS do not natively supports init.d e.g. LOS does that without any scripts.
- [liboemcrypto-disabler](https://anonym.to/?https://github.com/umylive/liboemcrypto-disabler) - Magisk module to disable liboemcrypto.so DRM (e.g. Netflix, My5) on rooted Android devices.
- [Magisk Manager for Recovery Mode](https://anonym.to/?https://github.com/Magisk-Modules-Repo/mm) - This beauty of a module saved my ass from bootloops multiple times in my journey of getting everything to work together.
- [Magisk Manager](https://anonym.to/?https://forum.xda-developers.com/apps/magisk/official-magisk-v7-universal-systemless-t3473445) - Official Magisk XDA Forum thread + discussion.
- [Magisk Module Uninstaller](https://anonym.to/?https://forum.xda-developers.com/showpost.php?p=72542167&postcount=242) - Enables you to uninstall modules in TWRP via terminal.
- [Magisk WiFi Bonding](https://anonym.to/?https://github.com/Magisk-Modules-Repo/wifi-bonding) - Make 40Mhz runing at 2.4Ghz/5Ghz on your Qualcomm devices! In theory it doubles the bandwith on Qualcomm devices.
- [Nano for Android NDK](https://anonym.to/?https://github.com/Magisk-Modules-Repo/nano-ndk) - Static ARM nano binary for Android built with the NDK.
- [NanoDroid](https://anonym.to/?https://forum.xda-developers.com/apps/magisk/module-nanomod-5-0-20170405-microg-t3584928) - An installer for various Open Source related things, most noticeably microG and F-Droid.
- [Overview of all official and maintained modules](https://anonym.to/?https://forum.xda-developers.com/apps/magisk/collection-magisk-modules-v2-t3575758)
- [Secure I/F](https://anonym.to/?https://github.com/Magisk-Modules-Repo/secure-if) - Designed to disable data delivery through USB. It can protect your data when you are charging in public area. Some ROMs do this automatically (or via an option) but most do not!
- [Systemless TZData](https://anonym.to/?https://github.com/Magisk-Modules-Repo/Systemless_TZData) - Update your ROM's TZData systemlessly.
- [Viper4Android FX Legacy Materialized](https://anonym.to/?https://forum.xda-developers.com/apps/magisk/module-viper4android-fx-2-5-0-5-t3577058) - It's not placebo! 
- [Wireless Firmware for Nethunter](https://anonym.to/?https://github.com/Magisk-Modules-Repo/wirelessFirmware) - Adds the required firmware for external wireless adapters to be used with Nethunter.
- [YouTube Vanced](https://anonym.to/?https://forum.xda-developers.com/android/apps-games/app-youtube-vanced-edition-t3758757) - A well known modded version of YouTube with many features such as adblocking and background playback. Or use [NewPipe app](https://anonym.to/?https://newpipe.schabi.org/). 
- ~~[FDE](https://anonym.to/?https://github.com/Magisk-Modules-Repo/FDE) - Ultimate Android Optimizer.~~ (see warning!)

**[`^        back to top        ^`](#)**

## Xposed (EdXposed) Modules
- [List of Xposed Modules For Android Pie Working With Ed Xposed](https://anonym.to/?https://forum.xda-developers.com/xposed/list-xposed-modules-android-pie-ed-t3892768)
- [Lucky Patcher](https://anonym.to/?https://www.luckypatchers.com/download/) - LP also has a Xposed module which you can use (in case you use Xpose).
- [Material Design Xposed Installer](https://anonym.to/?https://forum.xda-developers.com/xposed/material-design-xposed-installer-t3137758) - An unofficial Xposed installer with some useful tweaks.
- [RootCloak](https://anonym.to/?https://repo.xposed.info/module/com.devadvance.rootcloak2) - Allows you to run apps that detect root without disabling root.

**[`^        back to top        ^`](#)**


## Unblock Warez Websites
- [Unblocked](https://anonym.to/?https://unblocked.mx/) - A service which links to official mirror websites or proxy your fav. warez website in case it was GeoIP blocked.

**[`^        back to top        ^`](#)**


## Lynda
- [Generate-HoustonLibrary-Codes](https://anonym.to/?https://github.com/SharlSherif/Generate-HoustonLibrary-Codes) - A simple script to automate the process of getting a card number from Houstonlibrary.org in order to get free access to Lynda.com

**[`^        back to top        ^`](#)**


## ZippyShare automation
- [Zippyshare.sh](https://anonym.to/?hhttps://github.com/myspaghetti/zippyshare) - Bash script for batch downloading files from Zippyshare.

**[`^        back to top        ^`](#)**
